package com.ruoyi.dxp.service.impl;

import java.util.List;

import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.dxp.mapper.TableColumnMapper;
import com.ruoyi.dxp.domain.TableColumn;
import com.ruoyi.dxp.service.ITableColumnService;

/**
 * 数据源--列Service业务层处理
 * 
 * @author jy
 * @date 2022-11-07
 */
@Service
public class TableColumnServiceImpl implements ITableColumnService 
{
    @Autowired
    private TableColumnMapper tableColumnMapper;

    /**
     * 查询数据源--列
     * 
     * @param id 数据源--列主键
     * @return 数据源--列
     */
    @Override
    public TableColumn selectTableColumnById(Long id)
    {
        return tableColumnMapper.selectTableColumnById(id);
    }

    /**
     * 查询数据源--列列表
     * 
     * @param tableColumn 数据源--列
     * @return 数据源--列
     */
    @Override
    public List<TableColumn> selectTableColumnList(TableColumn tableColumn)
    {
        return tableColumnMapper.selectTableColumnList(tableColumn);
    }

    /**
     * 新增数据源--列
     * 
     * @param tableColumn 数据源--列
     * @return 结果
     */
    @Override
    public int insertTableColumn(TableColumn tableColumn)
    {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        tableColumn.setCreateBy(loginUser.getUsername());
        tableColumn.setCreateTime(DateUtils.getNowDate());
        return tableColumnMapper.insertTableColumn(tableColumn);
    }

    /**
     * 修改数据源--列
     * 
     * @param tableColumn 数据源--列
     * @return 结果
     */
    @Override
    public int updateTableColumn(TableColumn tableColumn)
    {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        tableColumn.setUpdateBy(loginUser.getUsername());
        tableColumn.setUpdateTime(DateUtils.getNowDate());
        return tableColumnMapper.updateTableColumn(tableColumn);
    }

    /**
     * 批量删除数据源--列
     * 
     * @param ids 需要删除的数据源--列主键
     * @return 结果
     */
    @Override
    public int deleteTableColumnByIds(Long[] ids)
    {
        return tableColumnMapper.deleteTableColumnByIds(ids);
    }

    /**
     * 删除数据源--列信息
     * 
     * @param id 数据源--列主键
     * @return 结果
     */
    @Override
    public int deleteTableColumnById(Long id)
    {
        return tableColumnMapper.deleteTableColumnById(id);
    }
}
